Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.publication.protocol.v3
Class PublicationAnnexType

    java.lang.Object
      be.fgov.ehealth.ehbox.publication.protocol.v3.PublicationAnnexType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:00:30+01:00",
               comments="JAXB RI v2.2.11")
    public class PublicationAnnexType

extends Object
implements Serializable

Specifies content of an Annex

Java class for PublicationAnnexType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PublicationAnnexType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EncryptableTitle" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <choice>
               <element name="EncryptableBinaryContent" type="{http://ws-i.org/profiles/basic/1.1/xsd}swaRef"/>
               <element name="EncryptableTextContent" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             </choice>
             <element name="DownloadFileName">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="255"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="MimeType">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="255"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="Digest" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PublicationAnnexType()`

Method Summary
`String` | `getDigest()` Gets the value of the digest property.
`String` | `getDownloadFileName()` Gets the value of the downloadFileName property.
`DataHandler` | `getEncryptableBinaryContent()` Gets the value of the encryptableBinaryContent property.
`byte[]` | `getEncryptableTextContent()` Gets the value of the encryptableTextContent property.
`byte[]` | `getEncryptableTitle()` Gets the value of the encryptableTitle property.
`String` | `getMimeType()` Gets the value of the mimeType property.
`void` | `setDigest(String value)` Sets the value of the digest property.
`void` | `setDownloadFileName(String value)` Sets the value of the downloadFileName property.
`void` | `setEncryptableBinaryContent(DataHandler value)` Sets the value of the encryptableBinaryContent property.
`void` | `setEncryptableTextContent(byte[] value)` Sets the value of the encryptableTextContent property.
`void` | `setEncryptableTitle(byte[] value)` Sets the value of the encryptableTitle property.
`void` | `setMimeType(String value)` Sets the value of the mimeType property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublicationAnnexType

    public PublicationAnnexType()

Method Detail

### getEncryptableTitle

    public byte[] getEncryptableTitle()

  Gets the value of the encryptableTitle property.

  Returns:
    possible object is byte[]

### setEncryptableTitle

    public void setEncryptableTitle(byte[] value)

  Sets the value of the encryptableTitle property.

  Parameters:
    `value` - allowed object is byte[]

### getEncryptableTextContent

    public byte[] getEncryptableTextContent()

  Gets the value of the encryptableTextContent property.

  Returns:
    possible object is byte[]

### setEncryptableTextContent

    public void setEncryptableTextContent(byte[] value)

  Sets the value of the encryptableTextContent property.

  Parameters:
    `value` - allowed object is byte[]

### getEncryptableBinaryContent

    public DataHandler getEncryptableBinaryContent()

  Gets the value of the encryptableBinaryContent property.

  Returns:
    possible object is `String`

### setEncryptableBinaryContent

    public void setEncryptableBinaryContent(DataHandler value)

  Sets the value of the encryptableBinaryContent property.

  Parameters:
    `value` - allowed object is `String`

### getDownloadFileName

    public String getDownloadFileName()

  Gets the value of the downloadFileName property.

  Returns:
    possible object is `String`

### setDownloadFileName

    public void setDownloadFileName(String value)

  Sets the value of the downloadFileName property.

  Parameters:
    `value` - allowed object is `String`

### getMimeType

    public String getMimeType()

  Gets the value of the mimeType property.

  Returns:
    possible object is `String`

### setMimeType

    public void setMimeType(String value)

  Sets the value of the mimeType property.

  Parameters:
    `value` - allowed object is `String`

### getDigest

    public String getDigest()

  Gets the value of the digest property.

  Returns:
    possible object is `String`

### setDigest

    public void setDigest(String value)

  Sets the value of the digest property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.